Map parameters
| Field | Type | Required | Notes |
|---|---|---|---|
url | string | yes | Site root or section root. |
limit | number | no | Maximum URLs to return. |
search | string | no | Filter returned URLs by keyword. |
include_subdomains | boolean | no | Include sibling subdomains. |
sitemap_only | boolean | no | Restrict discovery to sitemap data. |
Best practice
- start with
limit: 50 - add
searchwhen you already know the concept you want, likepricingorcheckout - use
sitemap_onlyfor fast, predictable docs-site discovery
Map parameter baseline
```bash
curl https://api.faircompany.ai/v1/crawl/map \
-X POST \
-H "Authorization: Bearer fc_live_xxx" \
-H "Content-Type: application/json" \
-d '{
"url": "https://docs.stripe.com",
"limit": 50,
"search": "checkout"
}'
```
```ts
const map = await fc.map({
url: "https://docs.stripe.com",
limit: 50,
search: "checkout",
});
console.log(map.count);
console.log(map.urls[0]);
```
```python
map_result = fc.map(
"https://docs.stripe.com",
limit=50,
search="checkout",
)
print(map_result.count)
print(map_result.urls[0] if map_result.urls else None)
```
```json
{
"tool": "faircrawl_map",
"arguments": {
"url": "https://docs.stripe.com",
"limit": 50,
"search": "checkout"
}
}
```